| GET | /RestApi/sitefinity/related-data/data-types |
|---|
import 'package:servicestack/servicestack.dart';
class DataTypeMessage implements IConvertible
{
DataTypeMessage();
DataTypeMessage.fromJson(Map<String, dynamic> json) : super();
fromMap(Map<String, dynamic> json) {
return this;
}
Map<String, dynamic> toJson() => {};
getTypeName() => "DataTypeMessage";
TypeContext? context = _ctx;
}
TypeContext _ctx = TypeContext(library: 'www.asg.com.au', types: <String, TypeInfo> {
'DataTypeMessage': TypeInfo(TypeOf.Class, create:() => DataTypeMessage()),
});
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/related-data/data-types HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
ClrType: String,
Name: String,
ParentName: String,
Providers:
[
{
Name: String,
Title: String
}
]
}
]